Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.orbportability
Class ORBType

    java.lang.Object
      com.arjuna.orbportability.ORBType

public class ORBType
extends java.lang.Object

The various types of ORB that are supported.

Since:
  JTS 2.0.
Version:
  $Id: ORBType.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Field Summary
`static java.lang.String` | `hporb`
`static int` | `HPORB`
`static java.lang.String` | `jacorb`
`static int` | `JACORB`
`static java.lang.String` | `javaidl`
`static int` | `JAVAIDL`
`static java.lang.String` | `orbix2000`
`static int` | `ORBIX2000`
`static java.lang.String` | `visibroker`
`static int` | `VISIBROKER`

Constructor Summary
`ORBType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ORBIX2000

    public static final int ORBIX2000

See Also:
  Constant Field Values

### HPORB

    public static final int HPORB

See Also:
  Constant Field Values

### VISIBROKER

    public static final int VISIBROKER

See Also:
  Constant Field Values

### JAVAIDL

    public static final int JAVAIDL

See Also:
  Constant Field Values

### JACORB

    public static final int JACORB

See Also:
  Constant Field Values

### orbix2000

    public static final java.lang.String orbix2000

See Also:
  Constant Field Values

### hporb

    public static final java.lang.String hporb

See Also:
  Constant Field Values

### visibroker

    public static final java.lang.String visibroker

See Also:
  Constant Field Values

### javaidl

    public static final java.lang.String javaidl

See Also:
  Constant Field Values

### jacorb

    public static final java.lang.String jacorb

See Also:
  Constant Field Values

Constructor Detail

### ORBType

    public ORBType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD